> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User

> Gets basic information about a specific user by their ID.

`Unary` · [`Users`](/docs/api-reference/generated/user/overview)

Gets basic information about a specific user by their ID.

Use this method to:

* Retrieve user profile information
* Get user details for display purposes
* Fetch user metadata for administrative tasks

### Examples

* Get user by ID:

  Retrieves basic user information by user ID.

  ```yaml theme={null}
  userId: "f53d2330-3795-4c5d-a1f3-453121af9c60"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.UserService/GetUser
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.UserService/GetUser" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "userId": "<user-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.user_pb2 as user_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = user_pb2.GetUserRequest(
      user_id="<user-id>",
  )
  response = ona.services.user.get_user(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { GetUserRequestSchema } from "@gitpod/sdk/gitpod/v1/user_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(GetUserRequestSchema, {
      userId: "<user-id>",
    });
    const response = await ona.services.user.getUser(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.GetUserRequest{
  		UserId: "<user-id>",
  	})
  	response, err := ona.Services.User.GetUser(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "userId": "<user-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.GetUserRequest`

| Field    | Type   | Required | Description                      |
| -------- | ------ | -------- | -------------------------------- |
| `userId` | string | No       | Constraints: `string.uuid=true`. |

## Response

`gitpod.v1.GetUserResponse`

| Field  | Type                         | Required | Description                   |
| ------ | ---------------------------- | -------- | ----------------------------- |
| `user` | [User](#type-gitpod-v1-user) | Yes      | Constraints: `required=true`. |

## Related types

<a id="type-gitpod-v1-user" />

<Accordion title="User">
  `gitpod.v1.User`

  | Field            | Type                                      | Required | Description                                                                                                                                                      |
  | ---------------- | ----------------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `id`             | string                                    | No       | id is a UUID of the user Constraints: `string.uuid=true`.                                                                                                        |
  | `organizationId` | string                                    | No       | organization\_id is the id of the organization this account is owned by. if not set, this account is owned by the installation. Constraints: `string.uuid=true`. |
  | `name`           | string                                    | No       | name is the full name of the user                                                                                                                                |
  | `avatarUrl`      | string                                    | No       | avatar\_url is a link to the user avatar                                                                                                                         |
  | `createdAt`      | RFC 3339 timestamp                        | No       | created\_at is the creation time                                                                                                                                 |
  | `status`         | [UserStatus](#enum-gitpod-v1-user-status) | No       | status is the status the user is in                                                                                                                              |
  | `email`          | string                                    | No       | email is the user's email address                                                                                                                                |
</Accordion>

<a id="enum-gitpod-v1-user-status" />

<Accordion title="UserStatus">
  | Value                     | Number | Description |
  | ------------------------- | -----: | ----------- |
  | `USER_STATUS_UNSPECIFIED` |      0 |             |
  | `USER_STATUS_ACTIVE`      |      1 |             |
  | `USER_STATUS_SUSPENDED`   |      2 |             |
  | `USER_STATUS_LEFT`        |      3 |             |
</Accordion>
